***** Preamplifier test *****
.protect
* choose one process corner
.lib '/home/ncku_class/analog2023/analog23000/cic018.l' TT
*.lib '/home/ncku_class/analog2023/analog23000/cic018.l' SS
*.lib '/home/ncku_class/analog2023/analog23000/cic018.l' FF
.unprotect
.inc 'subckts.sp'

vbp vbp gnd 0.9V
vbn vbn gnd 0.6V
vdd   vdd   gnd dc=1.8v
X0 in+ in- out+ out- vbp vbn vdd gnd pre_amp
**Input common mode voltage is 0.9v for example, you could change it to any reasonable voltage 
vin-  in-  gnd dc=0.9v
vin+  in+  gnd dc=0.9v ac=1 
Eout vout gnd out+ out- 1

.op
.options post
.ac dec 100 10 10g
.PROBE   AC VDB(vout) 
.MEASURE AC unit_gain when VDB(vout)=0
.MEASURE AC phase_margin find par('180+VP(vout)') when VDB(vout)=0
.MEASURE AC gain_dB max VDB(vout)
.tran 0.1n 30us

.END
